For the complete documentation index, see llms.txt. This page is also available as Markdown.

FmHistoryPagedList

Perform various operations on File Maintenance (FM) records.

Symitar eDocs References: Coming soon.

Operations

getFmHistoryPagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getFmHistoryPagedListSelectFields
POST /nexum/627/persistent/account/getFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 462

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 3,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllFmHistoryFields": false,
    "FmHistoryFields": {
      "SequenceNumber": true,
      "PostDate": true,
      "PostTime": true,
      "UserNumber": true,
      "ProcessorUser": true,
      "RecordName": true,
      "FieldName": true,
      "DataType": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "FmHistory": [
    {
      "SequenceNumber": 9054,
      "PostDate": "2010-05-08",
      "PostTime": 735,
      "UserNumber": 800,
      "ProcessorUser": 0,
      "RecordName": "Account",
      "FieldName": "Correspondence Date",
      "DataType": 3
    },
    {
      "SequenceNumber": 6657,
      "PostDate": "2010-05-08",
      "PostTime": 1357,
      "UserNumber": 1995,
      "ProcessorUser": 0,
      "RecordName": "Account",
      "FieldName": "Warning 02 Code",
      "DataType": 5
    },
    {
      "SequenceNumber": 6657,
      "PostDate": "2010-05-08",
      "PostTime": 1357,
      "UserNumber": 1995,
      "ProcessorUser": 0,
      "RecordName": "Account",
      "FieldName": "Warning 03 Code",
      "DataType": 5
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getFmHistoryPagedListSelectFields"
}

searchFmHistoryPagedSelectFields

post
Authorizations
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchFmHistoryPagedSelectFields
POST /nexum/627/persistent/account/searchFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 1192

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 1,
    "Token": "text"
  },
  "SelectableFields": {
    "IncludeAllFmHistoryFields": true,
    "FmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationNumber": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true,
      "OldNumber": true,
      "OldRate": true,
      "PostDate": true,
      "PostTime": true,
      "ProcessorUser": true,
      "RecordName": true,
      "RecordType": true,
      "SecurityLevels": true,
      "SequenceNumber": true,
      "SubFieldNumber": true,
      "UserNumber": true,
      "UserOverride": true
    }
  },
  "SearchFilter": {
    "StartPostDate": "2026-01-01",
    "EndPostDate": "2026-01-01",
    "Query": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "FmHistory": [
    {
      "AccountNumber": "text",
      "BatchSequence": 1,
      "Branch": 1,
      "ConfirmationNumber": "text",
      "ConfirmationSeq": 1,
      "ConsoleNumber": 1,
      "DataType": 1,
      "FieldName": "text",
      "FieldNumber": 1,
      "FmType": 1,
      "Id": "text",
      "IdType": 1,
      "LastFmDate": "2026-01-01",
      "NewCharacter": "text",
      "NewDate": "2026-01-01",
      "NewMoney": 1,
      "NewNumber": 1,
      "NewRate": 1,
      "OldCharacter": "text",
      "OldDate": "2026-01-01",
      "OldMoney": 1,
      "OldNumber": 1,
      "OldRate": 1,
      "PostDate": "2026-01-01",
      "PostTime": 1,
      "ProcessorUser": 1,
      "RecordName": "text",
      "RecordType": 1,
      "SecurityLevels": 1,
      "SequenceNumber": 1,
      "SubFieldNumber": 1,
      "UserNumber": 1,
      "UserOverride": 1
    }
  ],
  "Token": "text"
}

Last updated

Was this helpful?